{
  "display": {
    "icon": {
      "item": "minecraft:end_crystal"
    },
    "title": "You Got em' Crystals",
    "description": "Blow up an end Crystal",
    "frame": "goal",
    "show_toast": true,
    "announce_to_chat": true,
    "hidden": false
  },
  "parent": "minecraft:adventure/kill_a_mob",
  "criteria": {
    "requirement": {
      "trigger": "minecraft:player_killed_entity",
      "conditions": {
        "killing_blow": {
          "source_entity": {
            "type": "minecraft:end_crystal",
            "distance": {
              "x": 10,
              "y": 10,
              "z": 10,
              "absolute": 10,
              "horizontal": 10
            },
            "flags": {}
          },
          "direct_entity": {}
        }
      }
    }
  },
  "rewards": {
    "experience": 999
  }
}
